PDA

View Full Version : Problem Upgrading Framework Version



mlmcconnell
8 Aug 2017, 7:34 AM
I recently upgraded to SA 4.2.2 and I'm having a problem with the ExtJS framework upgrade process. While attempting to upgrade a project from ExtJS 6.2 to 6.5 (classic), everything appears to go just fine. I receive no error messages and even get a confirmation message that the upgrade was successful. However, when I run the application and issue Ext.getVersion() in the browser console, it still shows the application is using version 6.2.x. Also, when I build the application, it runs through the process very quickly. Again, there are no error messages generated and I receive confirmation that the build was successful. However, the deploy directory has not been updated at all. The version of the application in the deploy directory remains at the same level as the last successful build (pre SA 4.2.2). Any ideas of where I should look to troubleshoot this?

Note: Applications build and deploy without issue with their original framework settings.

Thank You,
M. McConnell

mlmcconnell
8 Aug 2017, 8:03 AM
Please ignore this.....Turned out to be a permissions problem on the remote server. Still, I don't know why I would not have received error messages indicating such.

M. McConnell